Method: outages.list

  • This API lists outages in descending order of start timestamp within a 130-day look back window.

  • The request uses a GET HTTP method with the URL https://adsdatahub.googleapis.com/v1/outages and requires an empty request body.

  • Optional query parameters pageSize and pageToken can be used to control the pagination of results.

  • The successful response body contains a list of outages objects and an optional nextPageToken for pagination.

  • The API requires the https://www.googleapis.com/auth/adsdatahub OAuth scope for authorization.

Lists the outages in descending order of outage start timestamp, and the look back window is 130 days.

HTTP request

GET https://adsdatahub.googleapis.com/v1/outages

The URL uses gRPC Transcoding syntax.

Query parameters

Parameters
pageSize

integer

Maximum number of items to return. If 0, The server will determine the number of outages to return.

pageToken

string

Page token, returned by a previous call, used to request the next page of results, if any.

Request body

The request body must be empty.

Response body

Response to a outages.list request, contains the outages.

If successful, the response body contains data with the following structure:

JSON representation
{
  "outages": [
    {
      object (Outage)
    }
  ],
  "nextPageToken": string
}
Fields
outages[]

object (Outage)

The outages within the look back window

nextPageToken

string

A token, which can be sent as pageToken to retrieve the next page. If this field is omitted, there are no subsequent pages.

Authorization scopes

Requires the following OAuth scope:

  • https://www.googleapis.com/auth/adsdatahub